html, body {
    margin: 0;
    min-height: 100%;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    overflow: hidden;
    background-color: black;
}

#hero-text {
    position: relative;
    z-index: 5;

    display: block;
    margin: 100px;
    width: 500px;

    color: white;
}

#hero-text h1 {
    font-size: 50px;
    z-index: inherit;
}

#hero-text h2 {
    font-size: 20px;
    z-index: inherit;
}

#hero-bg {
    inset: 0;
    position: absolute;

    background:
        linear-gradient(to bottom,
            rgba(0, 0, 0, 0.7) 0%,
            rgba(0, 0, 0, 0.0) 60%
        ),
        url('../bg.jpg') center / cover no-repeat;

    z-index: 0;
}

#draqonyx-modal {
    width: 300px;
    height: 200px;
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
    padding: 10px;
    position: absolute;
    top: 50%;
    left: 50%;
}

#img {
    position: absolute;
    width: 500px;
    right: 0;
    transform: translateX(150%);
    transition: transform 10s;
}

#img.peak {
    transform: translateX(-50%) rotateZ(360deg) rotateY(720deg);

}